%define libxml2_version 2.5
%define orbit2_version 2.5.1
%define bonobo_activation_version 2.2.0
%define libbonobo_version 2.3.6
%define libgnomecanvas_version 2.0.1
%define libgnome_version 2.2.0
%define libart_lgpl_version 2.3.8
%define gtk2_version 2.2.0
%define libglade2_version 2.0.0
%define glib2_version 2.2.0

%define po_package libbonoboui-2.0

Summary: Bonobo user interface components
Name: libbonoboui
Version: 2.14.0
Release: 1
URL: http://ftp.gnome.org
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires: libxml2 >= %{libxml2_version}
Requires: ORBit2 >= %{orbit2_version}
Requires: libbonobo >= %{libbonobo_version}
Requires: libgnomecanvas >= %{libgnomecanvas_version}
Requires: libgnome >= %{libgnome_version}
Requires: libart_lgpl >= %{libart_lgpl_version}
Requires: gtk2 >= %{gtk2_version}
Requires: libglade2 >= %{libglade2_version}

BuildPreReq: libxml2-devel >= %{libxml2_version}
BuildPreReq: ORBit2-devel >= %{orbit2_version}
BuildPreReq: libbonobo-devel >= %{libbonobo_version}
BuildPreReq: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildPreReq: libgnome-devel >= %{libgnome_version}
BuildPreReq: libart_lgpl-devel >= %{libart_lgpl_version}
BuildPreReq: gtk2-devel >= %{gtk2_version}
BuildPreReq: libglade2-devel >= %{libglade2_version}
BuildPreReq: intltool >= 0.14-1
BuildPreReq: libtool >= 1.4.2-12
BuildPreReq: automake autoconf
BuildPreReq: glib2-devel >= %{glib2_version}
BuildRequires: gtk-doc

%description

Bonobo is a component system based on CORBA, used by the GNOME
desktop.  libbonoboui contains the user interface related components
that come with Bonobo.

%package devel
Summary: Libraries and headers for libbonoboui
Group: Development/Libraries
Requires: %name = %{version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: ORBit2-devel >= %{orbit2_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: libgnomecanvas-devel >= %{libgnomecanvas_version}
Requires: libgnome-devel >= %{libgnome_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: libglade2-devel >= %{libglade2_version}
Requires: glib2-devel >= %{glib2_version}
Conflicts: bonobo-devel < 1.0.8

%description devel

Bonobo is a component system based on CORBA, used by the GNOME desktop.
libbonoboui contains GUI components that come with Bonobo.

This package contains header files used to compile programs that 
use libbonoboui.

%prep
%setup -q -n %{name}-%{version}

%build

libtoolize --force
%configure --disable-gtk-doc

make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT ## LIBTOOL=/usr/bin/libtool

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.a
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/bonobo-browser.desktop

for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done


%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)

%doc COPYING ChangeLog NEWS README

%{_libdir}/lib*.so.*
%{_libdir}/libglade/2.0/*.so
%{_libdir}/libglade/2.0/*.la
%{_libdir}/bonobo
%{_datadir}/gnome-2.0

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_bindir}/*
%{_libdir}/bonobo-2.0
%{_datadir}/gtk-doc

%changelog
* Tue Mar 14 2006 Ray Strode <rstrode@redhat.com> 2.14.0-1
- Update to 2.14.0

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.1-4.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.1-4.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 2.13.1-4
- change sed -ie to sed -i -e

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com>
- s/$(LIB)/$LIB/g

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com>
- fix shlib multilib bonobo issue (bug 156982)

* Mon Jan 16 2006 Matthias Clasen <mclasen@redhat.com>
- Update to 2.13.1

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  1 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.0-1
- Update to 2.13.0

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.1-1
- Update to 2.10.1

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 2.10.0-2
- rebuild for new cairo

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> 2.10.0-1
- New upstream version

* Wed Apr 27 2005 Ray Strode <rstrode@redhat.com> 2.8.1-4
- Add fixed tamil translation (bug 135354).

* Fri Apr 15 2005 Ray Strode <rstrode@redhat.com> 2.8.1-3
- Remove bonobo-browser from menus (bug 154827).

* Wed Mar 09 2005 Than Ngo <than@redhat.com> 2.8.1-2
- add OnlyShowIn=GNOME;

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> - 2.8.1-1
- Update to 2.8.1

* Wed Sep 29 2004 Matthias Clasen <mclasen@redhat.com> - 2.8.0.99cvs20040929-2
- add libtoolize to make it build

* Wed Sep 29 2004 Matthias Clasen <mclasen@redhat.com> - 2.8.0.99cvs20040929-1
- fix a few issues after the merge from Monday. 

* Mon Sep 27 2004 Matthias Clasen <mclasen@redhat.com> - 2.8.0.99cvs20040927-1
- incorporate the fix for #132988

* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.6.1-1
- Update to 2.6.1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Thu Mar 11 2004 Alex Larsson <alexl@redhat.com> 2.5.4-2
- enable gtk-doc

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.5.4-1
- Update to 2.5.4

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Mark McLoughlin <markmc@redhat.com> 2.5.3-1
- Update to 2.5.3
- Remove unused bonoboui-fixed-ltmain.sh

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 20 2004 Alexander Larsson <alexl@redhat.com> 2.5.2-1
- update to 2.5.2

* Wed Jan 14 2004 Jeremy Katz <katzj@redhat.com> 2.4.3-1
- update to 2.4.3

* Wed Sep  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- Update to 2.4.0

* Tue Aug 12 2003 Alexander Larsson <alexl@redhat.com> 2.3.6-2
- update for gnome 2.3

* Wed Jul 23 2003 Havoc Pennington <hp@redhat.com> 2.2.2-2
- remove LIBTOOL=/usr/bin/libtool
- automated rebuild

* Wed Jul  9 2003 Havoc Pennington <hp@redhat.com> 2.2.2-1
- 2.2.2

* Thu Jun 26 2003 Havoc Pennington <hp@redhat.com> 2.2.0-3
- rebuild

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb  5 2003 Alexander Larsson <alexl@redhat.com> 2.2.0-1
- 2.2.0

* Tue Jan 28 2003 Matt Wilson <msw@redhat.com> 2.1.2-3
- use LIBTOOL=/usr/bin/libtool

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- 2.1.2

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- 2.1.1
- remove lib64 hackaround, upstream looks fixed

* Mon Nov 11 2002 Havoc Pennington <hp@redhat.com>
- 2.1.0
- force-move some stuff from prefix/lib to libdir

* Thu Aug 29 2002 Havoc Pennington <hp@redhat.com>
- libtoolize with our latest libtool to try fixing rpaths

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0
- include sample server in libdir
- remove .a files from glade module dir

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.118.0
- remove empty AUTHORS file

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.117.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.0

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.113.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.0

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0
- Reintoolize to fix DBM problems

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- 1.108.1.90 cvs snap

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- 1.107.0.90 snap, explicit requires lines for dependencies
- add libtool hack to avoid relinking

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- add glade dependency, add glade module to file list

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- rebuild with glib 1.3.10, new cvs snap

* Mon Oct 15 2001 Havoc Pennington <hp@redhat.com>
- rebuild, hoping build root is fixed

* Mon Oct 15 2001 Havoc Pennington <hp@redhat.com>
- grumble, build require newer gtk
- require libart_lgpl-devel not the non-devel package

* Mon Oct 15 2001 Havoc Pennington <hp@redhat.com>
- cvs snap with menu stuff fixed so gnome-terminal works

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- new tarball, rebuild for new glib

* Mon Sep 24 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap, fix up prereqs/requires a bit

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- Initial build.
